
#include "kmpgStandAlone.h"


// KDE include files
#include <kapp.h>


// YAF include file
#include <devices/audioDeviceLinux.h>

#include <unistd.h>






int main(int nargs,char** args) {
  KApplication a( nargs, args, "kmpg" );
  KmpgRootWindow* rootWindow;
  KmpgPlayer* player;
  OutputDevice* audioDevice;

  AudioDeviceLinux* audioDeviceL=new AudioDeviceLinux("/dev/dsp",true);
   
  audioDevice=audioDeviceL;
  audioDevice->openDevice();

  rootWindow=KmpgStandAlone::create(_MP3_DECODER);
  player=rootWindow->getPlayer();

  player->volumeFilterActive(true);
  player->addListener(audioDevice);
  
  rootWindow->show();
  a.exec();
  delete player;
  delete rootWindow;
  delete audioDevice;

  return 0;
}



  
