/*
  a nicer widget for the decoder control
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __DECODERWIDGET_H
#define __DECODERWIDGET_H



#include <deviceWidgets/guiDecoder.h>


#include <kiconloader.h>
#include <kapp.h>

#define ADD_BUTTON( btn, lay, slot, icon ) \
   btn = new QPushButton( this ); \
   btn->setMinimumSize( btn->sizeHint() );  \
   btn->setMaximumSize( btn->sizeHint() ); \
   btn->setPixmap( loader->loadIcon(icon) ); \
   lay->addWidget(btn); \
   connect( btn, SIGNAL(clicked()), this, SLOT(slot) )




class DecoderWidget : public GuiDecoder {

 public:
  DecoderWidget( QWidget *parent=0, const char *name=0 );
  ~DecoderWidget();

  QSize sizeHint ();
  void buildGui();
};


#endif

