
#include <qapp.h>
#include <yafAmplifier/yafAmplifier.h>
#include <devices/genericStreamProducer.h>
#include "player.h"

#include <unistd.h>


/**
   This example programm show how the basics works.
   It creates first an Amplifier and an audioDevice.
   Then it connects everything and plays a song.

   Make sure youe have edited the file

   ../mp3Songs.h


*/



#include "../SONGS.DEF"




int main(int nargs,char** args) {
  QApplication a( nargs, args);

  YafAmplifier amplifier;
  GenericStreamProducer* decoder;
  Player player;

  decoder=amplifier.createDecoder(_MP3_DECODER);
  //decoder=amplifier.createDecoder(_MP3_DECODER_REALLY_BAD);

  player.setGenericStreamProducer(decoder);
  player.open(song[2]);
  
  a.exec();

  delete decoder;
  return 0;
}



  
